From e0119971a35dfce11e909ef407704d6dd785d233 Mon Sep 17 00:00:00 2001
From: Jonathan Wilkes <jon.w.wilkes@gmail.com>
Date: Fri, 7 Jul 2017 10:51:26 -0400
Subject: [PATCH] make the build fail if nwjs binary isn't successfully
 downloaded

---
 l2ork_addons/tar_em_up.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/l2ork_addons/tar_em_up.sh b/l2ork_addons/tar_em_up.sh
index 60d959963..87033e482 100755
--- a/l2ork_addons/tar_em_up.sh
+++ b/l2ork_addons/tar_em_up.sh
@@ -142,7 +142,7 @@ if [ ! -d "../pd/nw/nw" ]; then
 	nwjs_url=${nwjs_url}/$nwjs_filename
 	echo "Fetching the nwjs binary from"
 	echo "$nwjs_url"
-	wget -nv $nwjs_url
+        wget -nv $nwjs_url || exit 1
 	if [[ $os == "win" || $os == "osx" ]]; then
 		unzip $nwjs_filename
 	else
-- 
GitLab